
import java.io.*;

import org.mozilla.javascript.*;

public class Example2 {

    public static void main (String args[]) throws Exception {
        try {
			// create context
			Context cx = Context.enter();

			// Scriptable represents the script environment
            Scriptable scope = cx.initStandardObjects(null);

			// String object to hold the JavaScript function source
			String function = "";

			// load script from file
			File f = new File("scripts"+File.separator+"example2.js");
			BufferedReader br = new BufferedReader(new FileReader(f));
			while (br.ready()) {
				String line = br.readLine();
				if (line != null)
					function += line;
			}
			br.close();

			// a Function is something that can be evaluated with respect to some parameters
			Function func = cx.compileFunction(scope, function, "example2.js", 0, null);

			for (int loop=1; loop<=10; loop++) {
				// call a function with 2 parameters
				Object result = func.call(cx, scope, null,
						new Object[] { new Integer(loop), new Integer(7) } );

				// Convert the result to a number and print it.
				double dbl = cx.toNumber(result);

				System.out.println("example2( "+loop+" ) = " + dbl);
			}
        } finally {
            // Exit from the context
            Context.exit();
        }
    }
}

