
import java.io.*;

import org.mozilla.javascript.*;

public class Example3 {

    public static void main (String args[]) throws Exception {
        try {
			// create context
			Context cx = Context.enter();

			// Scriptable represents the script environment
            Scriptable scope = cx.initStandardObjects(null);

			// put a few Java objects into the JavaScript namespace
			scope.put("javaNumber", scope, new Integer(42));
			scope.put("javaString", scope, "a Java String");
			scope.put("systemOut", scope, System.out);

			// evaluate the script
			cx.evaluateReader(scope, new FileReader("scripts"+File.separator+"example3.js"), "example3.js", -1, null);

			// retrieve the value of 'result'
			System.out.println("result = "+scope.get("result", scope));
		} finally {
            // Exit from the context
            Context.exit();
        }
    }
}

